He creado proyecto de Maven y en pom.xml he mencionado siguientes PDI de dependencia con el fin de leer y escribir en archivo de excel:

    <dependency>
        <groupId>org.apache.poi</groupId>
        <artifactId>poi</artifactId>
        <version>3.9</version>
    </dependency>

De prueba, cuando añado import org.apache.poi.hssf.usermodel.HSSFWorkbook;, no veo ningún error.

Sin embargo, cuando me agregue import org.apache.poi.xssf.usermodel.XSSFWorkbook;, se muestra un error: The import org.apache.poi.xssf can not be resolved

Es tirar error para XSSF pero no para HSSF. Puede que me guía de cómo resolver este problema?

OriginalEl autor TDHM | 2014-11-09

2 Comentarios

  1. 13

    para Pdi/XSSF necesita también la dependencia a poi-ooxml, como así

    <dependency>
        <groupId>org.apache.poi</groupId>
        <artifactId>poi-ooxml</artifactId>
        <version>3.9</version>
    </dependency>
    Gracias geert3!!!
    He añadido tanto: <dependencia> <groupId>org.apache.poi</groupId> <artifactId>poi</artifactId> <versión>3.10-FINAL</versión> </dependencia> <dependencia> <groupId>org.apache.poi</groupId> <artifactId>poi-ooxml</artifactId> <versión>3.12</versión> <ámbito de aplicación>prueba</scope> </dependencia> Todavía no la detecta…
    <scope>test</scope> no es probable que lo que usted desea
    Este no es el sulotion. Pero he encontrado una manera de reemplazar: acabo de cambiar a HSSF en lugar de XSSF.

    OriginalEl autor geert3

  2. 1

    Buscar «poi-3.17.jar»!!!

    1. Descargar desde «https://poi.apache.org/download.html«.
    2. Haga clic en la Distribución Binaria -> poi-bin-3.17-20170915.tar.gz
    3. Descomprimir el archivo de descarga y buscar este «poi-3.17.jar».

    Problema resuelto y errores desaparecido.

    La esperanza de que esto podría ayudar.

    OriginalEl autor yTze

Dejar respuesta

Please enter your comment!
Please enter your name here